Bug 190015 - tg3 network driver fail to come up
tg3 network driver fail to come up
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
high Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 13:58 EDT by Steve Dickson
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 15:11:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2006-04-26 13:58:35 EDT
Description of problem:
Reboot my system the tg3 network drivers fail to come up. The
error messages are:
Setting network parameters:  [  OK  ]
Bringing up loopback interface:  ip_tables: (C) 2000-2002 Netfilter core team [
 OK  ]
Bringing up interface eth1:  Device eth1 has different MAC address than
expected, ignoring. [FAILED]
Bringing up interface eth2:  Device eth2 has different MAC address than
expected, ignoring. [FAILED]

Reboot the system a second time takes care of the problem


Version-Release number of selected component (if applicable):
Kernel 2.6.9-34.22

How reproducible:
90%

Steps to Reproduce:
1.reboot a system that uses tg3 network drivers
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Steve Dickson 2006-04-26 14:01:53 EDT
Here is my module.conf file

alias eth0 e100
alias eth1 tg3
alias eth2 tg3
alias scsi_hostadapter cciss
alias usb-controller ohci-hcd
options diskdump compress=1
Comment 2 John W. Linville 2006-05-02 11:21:05 EDT
What are the contents of /etc/sysconfig/network-scripts/ifcfg-eth*?  It sounds 
like you are specifying a MAC address that doesn't match what is on the tg3 
card(s)? 
 
You may want to include the output of dmesg as well...thanks! 
Comment 3 Steve Dickson 2006-05-30 03:40:01 EDT
cat /etc/sysconfig/network-scripts/ifcfg-eth*
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:D0:B7:5D:E3:02
ONBOOT=no
TYPE=Ethernet
USERCTL=no
PEERDNS=yes
IPV6INIT=no
DEVICE=eth1
BOOTPROTO=dhcp
HWADDR=00:0B:CD:0E:92:0D
ONBOOT=yes
TYPE=Ethernet
USERCTL=yes
PEERDNS=yes
IPV6INIT=no
DEVICE=eth2
BOOTPROTO=none
HWADDR=00:0B:CD:0E:92:0C
ONBOOT=yes
TYPE=Ethernet
USERCTL=yes
PEERDNS=yes
IPV6INIT=no
NETMASK=255.255.255.0
IPADDR=10.0.0.5

Comment 4 Dan Carpenter 2006-05-30 04:46:05 EDT
Eth2 has a lower mac address than eth1.  They probably should be the other way
around.

Did you load the system with acpi turned off or something?  That could make them
come up in reverse order.

Comment 5 John W. Linville 2006-05-30 14:20:56 EDT
Do you have a need to specify the HWADDR?  If not, the easiest thing is 
probably to remove those lines from ifcfg-eth*...does doing that straighten 
things out?
Comment 6 Steve Dickson 2006-06-30 07:55:52 EDT
Sorry for the delayed response on this... This got lost in the
the sea of other bugzilla emails..

wrt to Comment #4, I rebooted with a new kernel... and kudzu
ask if I wanted to remove a "network interface" . Mistakenly
I said yes... but then kudzu asked if I wanted to install a
network interface so I said yes...

wrt to Comment #5, I'll try that... 
Comment 7 John W. Linville 2006-07-10 10:59:00 EDT
Any word on results from comment 5?
Comment 8 John W. Linville 2006-08-09 15:11:14 EDT
I'm going to close this one as INSUFFICIENT_DATA in order to "clear the 
books"...if it continues to be a problem, please reopen...thanks!

Note You need to log in before you can comment on or make changes to this bug.